<template>
  <v-app dark id="LayoutSimple">
    <!--Header-->
    <v-app-bar height="100%" flat class="info_dark" max-height="60px">
      <SignbankLogo />
      <v-spacer></v-spacer>
      <LanguageTranlateSystemMenu />
    </v-app-bar>

    <v-main class="system_grey_4">
      <v-container fluid>
        <v-row>
          <v-col cols="12">
            <Nuxt />
          </v-col>
        </v-row>
      </v-container>
    </v-main>

    <!-- Footer -->
    <v-footer class="px-0 py-0">
      <v-container fluid class="info_dark">
        <nav class="mx-auto">
          <ul class="text-center">
            <li
              class="d-inline px-3"
              v-for="(item, index) in nav_contact_utils"
              :key="index"
            >
              <nuxt-link :to="item.router" class="text-decoration-none">
                <span
                  class="body-2-sistem family-openSans-regular system_white--text"
                >
                  {{ $t(item.name) }}
                </span>
              </nuxt-link>
            </li>
          </ul>
        </nav>
      </v-container>
    </v-footer>
  </v-app>
</template>

<script>
import SignbankLogo from "@/components/Logos/Global/SignbankLogo.vue";
import LanguageTranlateSystemMenu from "@/components/Menus/Language/LanguageTranlateSystemMenu";

export default {
  name: "simple",
  components: {
    SignbankLogo,
    LanguageTranlateSystemMenu,
  },

  data() {
    return {
      nav_contact_utils: [
        { name: "categories.about", router: "/about" },
        { name: "categories.privacy_policy", router: "/privacy-policy" },
        { name: "categories.terms_of_user", router: "/terms-of-use" },
      ],
    };
  },
};
</script>

<style>
#LayoutSimple .v-toolbar__content {
  height: 60px !important;
}
</style>
